#!/bin/bash

cd /app

if [[ -z "$NODE_ENV" ]]; then
    echo "NODE_ENV is not set. Defaulting to development."
    NODE_ENV="development"
fi

if [[ "$NODE_ENV" == "production" ]]; then
    bun websocket:start
else
    bun websocket:dev
fi
